### org.jfree.layouting.renderer.model.table.cells

# Class ConflictingCell

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.cells.TableCell`
  - - `org.jfree.layouting.renderer.model.table.cells.PlaceHolderCell`
    - - `org.jfree.layouting.renderer.model.table.cells.ConflictingCell`

`public class ConflictingCell`
`extends PlaceHolderCell`

A storage item for conflicting cells. Conflicts can only happen between two placeholder cells. The first cell is represented by the conflictingCell instance itself, all additional cells are stored in a list of placeholder cells. This information can be used to resolve the conflict by inserting extra rows. For now, we simply log the whole stuff and blame the user if things go wrong.

Author:
  Thomas Morgner

  ## Constructor Summary

  `ConflictingCell(DataCell sourceCell, int rowSpan, int colSpan)`

  ## Method Summary

  `void`

  `addConflictingCell(PlaceHolderCell cell)`

  `PlaceHolderCell`

  `getConflictingCell(int pos)`

  `int`

  `getConflictingCellCount()`

  `String`

  `toString()`

  ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.PlaceHolderCell

  `getSourceCell`, `toString`

  ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.TableCell

  `getColSpan`, `getRowSpan`, `toString`

## Constructor Details

### ConflictingCell

    public ConflictingCell(DataCell sourceCell,
                           int rowSpan,
                           int colSpan)

## Method Details

### addConflictingCell

    public void addConflictingCell(PlaceHolderCell cell)

### getConflictingCell

    public PlaceHolderCell getConflictingCell(int pos)

### getConflictingCellCount

    public int getConflictingCellCount()

### toString

    public String toString()

> Overrides:
>   toString in interface PlaceHolderCell